import { Matrix4, Vector3 } from '@vertexvis/geometry';
import { FrameCameraBase } from '../types';
import { TriangleMeshPoints } from './mesh';
export declare function xAxisArrowPositions(widgetTransform: Matrix4.Matrix4, camera: FrameCameraBase, triangleSize?: number, sizeScalar?: number): TriangleMeshPoints;
export declare function yAxisArrowPositions(widgetTransform: Matrix4.Matrix4, camera: FrameCameraBase, triangleSize?: number, sizeScalar?: number): TriangleMeshPoints;
export declare function zAxisArrowPositions(widgetTransform: Matrix4.Matrix4, camera: FrameCameraBase, triangleSize?: number, sizeScalar?: number): TriangleMeshPoints;
export declare function computeArrowNdcValues(widgetTransform: Matrix4.Matrix4, camera: FrameCameraBase, direction: Vector3.Vector3, triangleSize: number, sizeScalar?: number): TriangleMeshPoints;
export declare function xyAxisTranslationPositions(widgetTransform: Matrix4.Matrix4, camera: FrameCameraBase, triangleSize?: number, rotationSizeScalar?: number): TriangleMeshPoints;
export declare function xzAxisTranslationPositions(widgetTransform: Matrix4.Matrix4, camera: FrameCameraBase, triangleSize?: number, rotationSizeScalar?: number): TriangleMeshPoints;
export declare function yzAxisTranslationPositions(widgetTransform: Matrix4.Matrix4, camera: FrameCameraBase, triangleSize?: number, rotationSizeScalar?: number): TriangleMeshPoints;
